@import '../../styles/index.scss';

.Contacts {

  &__title {
    height: $height-title-contacts;
    font-size: 25px;
    color: rgb(0, 221, 255);
    padding: 20px;
  }

  &__list {
    height: calc(100vh - #{$height-myinfo-comp} - #{$height-title-contacts} - 1px);
    overflow: hidden;
    overflow-y: scroll;
  }

  &__item {
    border-bottom: 2px solid $color-board-separator;
  }

  &__link {
    text-decoration: none;
  }
  
  &__button {
    width: 100%;
    display: flex;
    padding: 20px;
    background-color: #fff;
    transition: background-color 0.3s;

    &:hover {
      background-color: antiquewhite;
    }
  }

  &__info {
    width: 100%;
    margin-left: 10px;
    display: flex;
    justify-content: space-between;
  }
  
  &__name-text {
    width: 70%;
  }

  &__name {
    text-align: left;
    color:rgba(26, 24, 24, 0.8)
  }

  &__text-container {
    width: 100%;
    display: -webkit-box;
    text-overflow: ellipsis;
    overflow: hidden;
    -webkit-line-clamp: 2;
    word-wrap: break-word;
    -webkit-box-orient: vertical;
  }

  &__text {
    margin: 0;
    font-size: 15px;
    text-align: left;
    color:$color-board-separator;
  }
  
  &__date {
    font-size: 15px;
    text-align: right;
    color:rgba(26, 24, 24, 0.8);
  }
}